## GDataYouTubeComment GDataYouTubeComment — GData YouTube comment object |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GDataYouTubeComment * | gdata_youtube_comment_new ()
const gchar * | gdata_youtube_comment_get_parent_comment_uri ()
void | gdata_youtube_comment_set_parent_comment_uri ()

## Properties

gchar * | parent-comment-uri | Read / Write

## Types and Values

| GDataYouTubeComment
| GDataYouTubeCommentClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataComment
                    ╰── GDataYouTubeComment

## Includes

    #include <gdata/services/youtube/gdata-youtube-comment.h>

## Description

GDataYouTubeComment is a subclass of GDataComment to represent a comment on a GDataYouTubeVideo. It is returned by the GDataCommentable interface implementation on GDataYouTubeVideo.

It's possible to query for and add GDataYouTubeComments, but it is not possible to delete GDataYouTubeComments from any video using the GData API.

Comments on YouTube videos can be arranged in a hierarchy by their “parent-comment-uri”s. If a GDataYouTubeComment's parent comment URI is non-`NULL`, it should match the `GDATA_LINK_SELF` GDataLink of another GDataYouTubeComment on the same video (as retrieved using `gdata_entry_look_up_link()` on the comments). Comments with “parent-comment-uri” set to `NULL` are top-level comments.

## Functions

### gdata_youtube_comment_new ()

    GDataYouTubeComment *
    gdata_youtube_comment_new (const gchar *id);

Creates a new GDataYouTubeComment with the given ID and default properties.

#### Parameters

id | the comment's ID, or `NULL` |

#### Returns

a new GDataYouTubeComment; unref with `g_object_unref()`

Since 0.10.0

### gdata_youtube_comment_get_parent_comment_uri ()

    const gchar *
    gdata_youtube_comment_get_parent_comment_uri
                                   (GDataYouTubeComment *self);

Gets the “parent-comment-uri” property.

#### Parameters

self | a GDataYouTubeComment |

#### Returns

the parent comment URI, or `NULL`

Since 0.10.0

### gdata_youtube_comment_set_parent_comment_uri ()

    void
    gdata_youtube_comment_set_parent_comment_uri
                                   (GDataYouTubeComment *self,
                                    const gchar *parent_comment_uri);

Sets the “parent-comment-uri” property to `parent_comment_uri` .

Set `parent_comment_uri` to `NULL` to unset the “parent-comment-uri” property in the comment (i.e. make the comment a top-level comment).

See the online documentation for more information.

#### Parameters

self | a GDataYouTubeComment |
parent_comment_uri | a new parent comment URI, or `NULL` |

Since 0.10.0

## Types and Values

### GDataYouTubeComment

    typedef struct _GDataYouTubeComment GDataYouTubeComment;

All the fields in the GDataYouTubeComment structure are private and should never be accessed directly.

Since 0.10.0

### GDataYouTubeCommentClass

    typedef struct {
    } GDataYouTubeCommentClass;

All the fields in the GDataYouTubeCommentClass structure are private and should never be accessed directly.

Since 0.10.0

## Property Details

### The `“parent-comment-uri”` property

      “parent-comment-uri”       gchar *

The URI of the parent comment to this one, or `NULL` if this comment is a top-level comment.

See the documentation for GDataYouTubeComment for an explanation of the semantics of parent comment URIs.

Flags: Read / Write

Default value: NULL

Since 0.10.0